## org.opengis.coverage.grid
Interface ValueHexagon

All Superinterfaces:
  ValueObject

    @UML(identifier="CV_ValueHexagon",
         specification=ISO_19123)
    public interface ValueHexagon

extends ValueObject

Basis for interpolating within a continuous hexagonal grid coverage. A `ValueHexagon` is a collection of grid-point value pairs with a geometric structure.

Method Summary
`Set<GridPointValuePair>` `getControlValues()` Returns the grid point-value pairs at the `ValueHexagon` centre.
`DomainObject` `getGeometry()` Returns the geometry of the value hexagon centred on the grid point-value pairs identified by the control values.

Methods inherited from interface ValueObject
`getInterpolationParameters, interpolate`

Method Detail

### getGeometry

    @UML(identifier="geometry",
         obligation=MANDATORY,
         specification=ISO_19123)
    DomainObject getGeometry()

  Returns the geometry of the value hexagon centred on the grid point-value pairs identified by the control values.

  Specified by:
    `getGeometry` in interface `ValueObject`

### getControlValues

    @UML(identifier="controlValue",
         obligation=MANDATORY,
         specification=ISO_19123)
    Set<GridPointValuePair> getControlValues()

  Returns the grid point-value pairs at the `ValueHexagon` centre.

  Specified by:
    `getControlValues` in interface `ValueObject`

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.